<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\Models\Review;
use App\Models\Comment;
use App\Models\Game;
use App\Models\User;

class CommentController extends Controller
{
  // Переход по страницам
  function all_about_review(Request $request) { return view('comments/all_review', ['review'=>Review::with('game')->withSp()->find($request->comment), 'comments'=>Comment::allReviews($request->comment)]); }


  function all_about_game(Request $request) { return view('comments/all_game', ['game'=>Game::with('genre')->find($request->comment), 'comments'=>Comment::allGame($request->comment)]); }


  function view_insert_review(Request $request) { return view('comments/insert_review', [ 'review'=>Review::with('game')->withSp()->find($request->comment), 'users'=>User::all() ]); }
  function view_insert_game(Request $request) { return view('comments/insert_game', [ 'game'=>Game::find($request->comment), 'users'=>User::all() ]); }

  function view_update(Request $request) { return view('comments/update', ['comment'=>Comment::with('user')->find($request->update)]); }


  // Взаимодействия со страницами

  function insert(Request $request) { // Добавить
    $request->validate([ 'text' => 'required' ], [ 'text.required' => 'Поле "Текст" не заполнено' ]);
    $comment = new Comment;
    $comment->post_type = $request->input("post_type");
    $comment->post_id = $request->input("post_id");
    $comment->text = $request->input("text");
    $comment->user_id = $request->input("user");
    $comment->save();
    return back()->with('message', 'Комментарий добавлен!');
  }

  function update(Request $request){ // Изменить
    $request->validate([ 'text' => 'required' ], [ 'text.required' => 'Поле "Текст" не заполнено' ]);

    $comment = Comment::find($request->input("id"));
    $comment->text = $request->input("text");
    $comment->save();
    return back()->with('message', 'Коммент обновлен!');
  }

  function delete(Request $request){
    Comment::where('id', $request->delete)->delete();
    return back();
  }
}
