<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Game extends Model
{
    protected $casts = [
          'title' => 'string',
          'description' => 'string',
          'release_date' => 'date'
    ];
    public function comment() { return $this->morphMany(Comment::class,  'post'); }
    public function genre() { return $this->belongsToMany(Genre::class, 'game_genres', 'game_id', 'genre_id'); }
    public function review() { return $this->hasMany(Review::class); }
}
