@extends('layout')

@section('title', "Добавление игр")

@section('content')

@if (session("message"))
  <div class="alert alert-success">
    {{ session("message") }}
  </div>
@endif
<h2>Добавить игру:</h2>

<form method="POST" action="/public/games/insert" style="margin-left:20px">
  @csrf
  <div>
    <label>Название:</label>
    <input type="text" name="title" value="{{old('title')}}">
    @error('title') <div style="color: red">{{$message}}</div> @enderror
  </div> <br>
  <fieldset style=" width:50%; display: grid; grid-template-columns: repeat(8, 1fr)">
    <legend>Жанры:</legend>
    @foreach ($genres as $genre)
      <input type="checkbox" name="{{$genre->id}}"/><label for="{{$genre->id}}">{{$genre->title}}</label>
    @endforeach
  </fieldset> <br>
  <div>
    <label>Описание:</label>
    <input type="text" name="description" value="{{old('description')}}">
  </div> <br>
  <div>
    <label>Дата релиза:</label>
    <input type="date" name="release_date" value="{{old('release_date')}}">
    @error('release_date') <div  style="color: red">{{$message}}</div> @enderror
  </div> <br>
  <button type="submit" name="button">Добавить</button>
</form>

@endsection
