@extends('layout')

@section('title', "Изменение Игры")

@section('content')

@if (session("message"))
  <div class="alert alert-success"> {{ session("message") }} </div>
@endif

<h2>Изменить игру:</h2>
<form method="POST" action="/public/games/update" style="margin-left:20px">
  <input type="text" name="id" value="{{ $game->id }}" style="visibility: hidden">
  @csrf
  <div>
    <label>Название:</label>
    <input type="text" name="title" value="{{ $game->title }}">
    @error('title') <div style="color: red">{{$message}}</div> @enderror
  </div> <br>
  <fieldset style=" width:50%; display: grid; grid-template-columns: repeat(8, 1fr)">
    <legend>Жанры:</legend>
    @foreach ($genres as $genre)
      @if ($genre->checed == "true") <input type="checkbox" name="{{$genre->id}}" checked/><label for="{{$genre->id}}">{{$genre->title}}</label>
      @else <input type="checkbox" name="{{$genre->id}}"/><label for="{{$genre->id}}">{{$genre->title}}</label>
      @endif
    @endforeach
  </fieldset> <br>
  <div>
    <label>Описание:</label>
    <input type="text" name="description" value="{{ $game->description }}">
  </div> <br>
  <div>
    <label>Дата релиза:</label>
    <input type="date" name="release_date" value="{{ $game->release_date->format('Y-m-d') }}">
    @error('release_date') <div  style="color: red">{{$message}}</div> @enderror
  </div> <br>
  <div class="buttons">
      <button type="submit" name="button">Изменить</button>
      <a href="/public/games">Назад</a>
  </div>
</form>

@endsection
