@extends('layout')

@section('title', "Изменить рецензию")

@section('content')

@if (session("message"))
  <div class="alert alert-success">
    {{ session("message") }}
  </div>
@endif
<h2>Изменить рецензию к игре {{$reviews->game->title}}:</h2>

<form method="POST" action="/public/games/reviews/update" style="margin-left:20px">
  <input type="text" name="id" value="{{$reviews->id}} "style="visibility: hidden">
  @csrf
  <div>
    <label>Автор:</label>
    <select name="author">
      <option value="{{$reviews->author_id}}">{{$reviews->author}} {{$reviews->specialization_title}}</option>
      @foreach ($authors as $author)
        @if ($reviews->author_id != $author->id) <option value="{{$author->id}}">{{$author->name}} {{$author->specialization->title}}</option> @endif
      @endforeach
    </select>
  </div> <br>
  <label>Текст:</label><br>
  <textarea cols="40" rows="3" name="text">{{$reviews->text}}</textarea>
  @error('text') <div style="color: red">{{$message}}</div> @enderror
  <br><br>
  <div>
    <label>Звезды:</label>
    <input type="number" name="stars" value="{{$reviews->stars}}">
    @error('stars') <div  style="color: red">{{$message}}</div> @enderror
  </div> <br>
  <button type="submit" name="button">Изменить</button>
</form>
<form method="get" action="/public/games/reviews" style="position:relative; left: 20px; margin-top:10px">
  <button type="submit" name="button">К рецензиям игры</button>
  <input type="text" name="review" value="{{$reviews->game->id}}" style="visibility: hidden">
</form>
<form method="get" action="/public/critics/reviews" style="position:relative; left: 20px; margin-top:10px">
  <button type="submit" name="button">К рецензиям автора</button>
  <input type="text" name="review" value="{{$reviews->author_id}}" style="visibility: hidden">
</form>
<form method="get" action="/public/reviews/" style="position:relative; left: 20px; margin-top:10px">
  <button type="submit" name="button">Ко всем рецензиям</button>
  <input type="text" name="review" style="visibility: hidden">
</form>

@endsection
