<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::get('/test', [Controllers\TestController::class, 'index']);

// Жанры
Route::get('/genres', [Controllers\GenreController::class, 'all']);
Route::get('/genres/insert', [Controllers\GenreController::class, 'insert']);
Route::get('/genres/delete', [Controllers\GenreController::class, 'delete']);

// Специализации
Route::get('/specializations', [Controllers\SpecializationController::class, 'all']);
Route::get('/specializations/insert', [Controllers\SpecializationController::class, 'insert']);
Route::get('/specializations/delete', [Controllers\SpecializationController::class, 'delete']);

// Пользователи
Route::get('/users', [Controllers\UserController::class, 'all']);
Route::get('/users/user', [Controllers\UserController::class, 'single_user']);
Route::get('/users/insert', [Controllers\UserController::class, 'insert']);
Route::get('/users/update', [Controllers\UserController::class, 'update']);
Route::get('/users/delete', [Controllers\UserController::class, 'delete']);

// Критики
Route::get('/critics', [Controllers\CriticController::class, 'all']);
Route::get('/critics/insert', [Controllers\CriticController::class, 'view_append']);
Route::post('/critics/insert', [Controllers\CriticController::class, 'insert']);
Route::get('/critics/update', [Controllers\CriticController::class, 'view_update']);
Route::post('/critics/update', [Controllers\CriticController::class, 'update']);
Route::get('/critics/delete', [Controllers\CriticController::class, 'delete']);

// Игры
Route::get('/games', [Controllers\GameController::class, 'all']);
Route::get('/games/insert', [Controllers\GameController::class, 'view_insert']);
Route::post('/games/insert', [Controllers\GameController::class, 'insert']);
Route::get('/games/update', [Controllers\GameController::class, 'view_update']);
Route::post('/games/update', [Controllers\GameController::class, 'update']);
Route::get('/games/delete', [Controllers\GameController::class, 'delete']);

// Рецензии
Route::get('/reviews', [Controllers\ReviewController::class, 'all']);
Route::get('/games/reviews', [Controllers\ReviewController::class, 'all_about_game']);
Route::get('/critics/reviews', [Controllers\ReviewController::class, 'all_about_critic']);
Route::get('/games/reviews/insert', [Controllers\ReviewController::class, 'view_insert']);
Route::post('/games/reviews/insert', [Controllers\ReviewController::class, 'insert']);
Route::get('/games/reviews/update', [Controllers\ReviewController::class, 'view_update']);
Route::post('/games/reviews/update', [Controllers\ReviewController::class, 'update']);
Route::get('/games/reviews/delete', [Controllers\ReviewController::class, 'delete']);

// Комментарии
Route::get('/reviews/comments', [Controllers\CommentController::class, 'all_about_review']);
Route::get('/games/comments', [Controllers\CommentController::class, 'all_about_game']);
Route::get('/reviews/comments/insert', [Controllers\CommentController::class, 'view_insert_review']);
Route::get('/games/comments/insert', [Controllers\CommentController::class, 'view_insert_game']);
Route::post('/comments/insert', [Controllers\CommentController::class, 'insert']);
Route::get('/comments/update', [Controllers\CommentController::class, 'view_update']);
Route::post('/comments/update', [Controllers\CommentController::class, 'update']);
Route::get('/comments/delete', [Controllers\CommentController::class, 'delete']);
